#include <bits/stdc++.h>
using namespace std;
int main() {
ios_base::sync_with_stdio(false);
cin.tie(NULL);
float p,q,r,L,R;
cin>>p>>q>>r>>L>>R;
long long brojac=0;
for(int i=L; i<=R;i++){
    if(ceil(i/p)+ceil(i/q)+ceil(i/r)<=i) brojac++;
    }
    cout<<brojac;
return 0;
}